# Remove-RASTemplate.md

## NAME

Remove-RASTemplate

## SYNOPSIS

Remove a Template property.

## SYNTAX

**Remove-RASTemplate** \[[Id](#id-string)] *(uint)* -[ObjType](#objtype) {RDSTemplate | VDITemplate | AVDTemplate} \[[DeleteAllCreatedHosts](#deleteallcreatedhosts-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASTemplate \[-[InputObject](#inputobject)] *(*[*Template*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md)*)* -[ObjType](#objtype) {RDSTemplate | VDITemplate | AVDTemplate} \[[DeleteAllCreatedHosts](#deleteallcreatedhosts-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASTemplate** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {RDSTemplate | VDITemplate | AVDTemplate} \[[DeleteAllCreatedHosts](#deleteallcreatedhosts-string) *(SwitchParameter)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet removes a Template property.

## PARAMETERS

## Name (string)

The name of a RAS Template to remove from the site.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to remove the specified RAS Template.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the RAS Template to remove.

To obtain the ID of a RAS Template, use the Get-Template cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Template](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md))

An object of type RAS Template.

To obtain the object, use the Get-Template cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## ObjType ([Template](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md))

Template object type.

Possible values: RDSTemplate, VDITemplate, AVDTemplate

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DeleteAllCreatedHosts (SwitchParameter)

Specifies whether to delete all created host VMs.

If this parameter is omitted, all created host VMs will be kept on the server.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Template](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/template.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASTemplate -ObjType RDSTemplate -Name "My Template" | Format-List

Removes the RDS Template properties specified by name from the Licensing Server site.\
\*\*---------- EXAMPLE 2 ----------

Get-RASTemplate -ObjType VDITemplate -Id 10

Removes VDI Template specified by ID from the Licensing Server site.

## RELATED LINKS

* [New-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rastemplate.md)
* [Set-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rastemplate.md)
* [Get-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastemplate.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rastemplate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
